%define pname xmule
%define name xmule
%define version 1.13.6
%define distsuffix plf
%define release %mkrel 1

Summary: File sharing client compatible with eDonkey
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/File transfer
Source:	%{pname}-%{version}.tar.bz2
Source10: %{pname}16.png
Source11: %{pname}32.png
Source12: %{pname}48.png
Patch0:	xmule-1.10.0b-gcc4.patch.bz2
URL: http://www.xmule.ws/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: wxGTK2.6-devel
Requires: wget
Obsoletes: lmule
Provides: lmule
Obsoletes: xmule-testing <= %version-%release
Provides: xmule-testing <= %version-%release

%description
xMule is an easy to use multi-platform client for ED2K Peer-to-Peer Network.
It is originally based on eMule, the popular windows-only client for the same
network. xMule currently supports (but is not limited to) the following
platforms: Linux, *BSD and MacOS X. 

This package is in PLF because it's P2P.
%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 
%patch0 -p0

%build
find . -type f -exec touch {} \;
%configure2_5x 
%make

%install

# from Makefile.am
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_datadir/{applications,locale,pixmaps}
cp -f {xmule,ed2k.xmule-2.0} $RPM_BUILD_ROOT/%_bindir
%makeinstall -C po
cp -f xmule.desktop $RPM_BUILD_ROOT/%_datadir/applications
cp -f xmule.xpm $RPM_BUILD_ROOT/%_datadir/pixmaps

%find_lang xmule
install -m 644 -D %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{pname}.png
install -m 644 -D %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{pname}.png
install -m 644 -D %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/%{pname}.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{pname} <<EOF
?package(%name): needs="x11" section="Networking/File transfer" title="xMule" longtitle="File sharing client compatible with eDonkey" command="%_bindir/xmule" icon="%{pname}.png"
EOF
mv $RPM_BUILD_ROOT/%{_bindir}/ed2k.xmule-2.0 $RPM_BUILD_ROOT/%{_bindir}/ed2k-%pname

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
update-alternatives --install %{_bindir}/ed2k ed2k %{_bindir}/ed2k-%pname 10

%postun
%{clean_menus}
update-alternatives --remove ed2k %{_bindir}/ed2k-%pname

%files -f xmule.lang
%defattr(-,root,root)
%doc ChangeLog docs/
%{_bindir}/*
%{_datadir}/applications/%{pname}.desktop
%{_datadir}/pixmaps/%{pname}.xpm
%{_miconsdir}/%{pname}.png
%{_iconsdir}/%{pname}.png
%{_liconsdir}/%{pname}.png
%{_menudir}/%{pname}

%changelog
* Sun Mar 26 2006 Stefan van der Eijk <stefan@zarb.org> 1.13.6-1plf
- 1.13.6

* Sun Nov 06 2005 Pascal Terjan <pterjan@zarb.org> 1.12.0-1plf
- 1.12.0
- use wxGTK 2.6

* Sun Sep 25 2005 Pascal Terjan <pterjan@zarb.org> 1.10.1-1plf
- 1.10.1
- mkrel 
- fix gcc4 build

* Tue Mar 22 2005 Pascal Terjan <pterjan@zarb.org> 1.10.0-2plf
- fix url

* Tue Mar 22 2005 Pascal Terjan <pterjan@zarb.org> 1.10.0-1plf
- 1.10.0

* Thu Jul 15 2004 Pascal Terjan <pterjan@linuxfr.org> 1.8.4-1plf
- 1.8.4

* Sat Jun 19 2004 Pascal Terjan <pterjan@linuxfr.org> 1.8.2d-1plf
- 1.8.2d

* Tue Jun 01 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.8.2c-1plf
- 1.8.2c

* Thu Apr 29 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.8.2-1plf
- 1.8.2

* Sat Mar 06 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.7.4c-1plf
- 1.7.4c

* Wed Feb 25 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.7.4b-1plf
- 1.7.4b

* Thu Feb 19 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.7.4a-1plf
- 1.7.4a
- drop patch0

* Mon Jan 26 2004 Pascal Terjan <CMoi@tuxfamily.org> 1.7.2-1plf
- 1.7.2

* Sat Nov 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.7.1-1plf
- create a xmule-testing rpm

* Sat Oct 11 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.6.1-1plf
- 1.6.1
- Fix files with date in the future

* Fri Oct 03 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.6.0a-1plf
- 1.6.0a

* Thu Sep 25 2003 Gtz Waschk <goetz@plf.zarb.org> 1.6.0-2plf
- use alternative for %_bindir/ed2k
- spec fixes

* Wed Aug 27 2003 Gtz Waschk <goetz@plf.zarb.org> 1.6.0-1plf
- switch to wxGTK2.4
- new version

* Fri Jul 11 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.5-1plf
- 1.5.5

* Sun Jul 06 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.4-1plf
- 1.5.4

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.3-2plf
- "add changelog, /me sux" thanx Nanar for the suggestion :-)

* Fri Jul 04 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.5.3-1plf
- Switch to unstable 1.5.3
  Works fine and fixes a lot of bugs !

* Tue May 27 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.4.0-1plf
- renamed to xMule
- 1.4.0

* Tue May 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.3.1-1plf
- unstable version 1.3.1 (fixes some bugs like segfault on exit)

* Wed May 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.1-2plf
- Require wget (thanks houpla)

* Mon Apr 28 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.1-1plf
- 1.2.1
- Don't need anymore to patch configure for gtk2

* Mon Apr 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.2.0-1plf
- 1.2.0
- removed French translation (included upstream)
- removed gtk2 patch (merged upstream)

* Thu Apr 03 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13c-2plf
- added BuildRequires libexpat-devel zlib1-devel libgtk+-x11-2.0_0-devel
  libglib2.0_0-devel

* Tue Apr 01 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13c-1plf
- 1.1.13c
- added a partial French translation

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.13-1plf
- new version
- drop patch removing systray integration
- add patch for compilation of systray with gtk2
- drop patch for wx 2.5 compatibility

* Sun Mar 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.12-1plf
- new version
- lmule changelog states "Lmule probably compiles with gtk2 again.."
  There are less errors but it still doesn't, so I keep the patch dropping
  systray support.
  
* Fri Mar 21 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11b-2plf
- use wxGTK from cvs

* Thu Mar 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11b-1.plf
- new version
- use find_lang

* Wed Mar 19 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.11-1plf
- new version

* Tue Mar 18 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.10-1plf
- new version
- updated patch

* Sun Mar 16 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.1.8-1plf
- initial release
- patch removing systray so it compile
